Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ZipCompressAction Class Reference

Inherits Action.

## Public Member Functions
| ZipCompressAction (const File &source, const File &destination, bool deleteSource)
| Constructor. More...
virtual bool | execute (log4cxx::helpers::Pool &pool) const
| Perform action. More...
Public Member Functions inherited from Action
void | run (log4cxx::helpers::Pool &pool)
void | close ()
bool | isComplete () const
| Tests if the action is complete. More...
void | reportException (const std::exception &)
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Member Functions inherited from Action
| Action ()
| Constructor. More...
virtual | ~Action ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Constructor & Destructor Documentation

ZipCompressAction | ( | const File & | source,
|  | const File & | destination,
|  | bool | deleteSource
| ) |  |

Constructor.

## Member Function Documentation

virtual bool execute | ( | log4cxx::helpers::Pool & | pool | ) | const
| virtual

Perform action.

Returns
  true if successful.

Implements Action.

The documentation for this class was generated from the following file:

- zipcompressaction.h